<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_r.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_r"></a>- r -</h3><ul>
<li>Radians
: <a class="el" href="classOpenSim_1_1Units.html#aacfd34af18a43ce068f52977efbdfc77a0d09a1e46ff95aa6c2e8562385c7796c">OpenSim::Units</a>
</li>
<li>randomizeAdd()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#af4ae73c2a559abfd81261781b1efcf0f">OpenSim::MocoTrajectory</a>
</li>
<li>randomizeReplace()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#a2bcc7922d6f6a7e24f317b2acaa1ba22">OpenSim::MocoTrajectory</a>
</li>
<li>read()
: <a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">OpenSim::DataAdapter</a>
</li>
<li>ReadCharacters()
: <a class="el" href="classOpenSim_1_1IO.html#aadaf5b151294d7ae2e93efaa14b9b3a9">OpenSim::IO</a>
</li>
<li>readElems()
: <a class="el" href="classOpenSim_1_1DelimFileAdapter.html#ab394c86a0761224820d6773a3083f584">OpenSim::DelimFileAdapter&lt; T &gt;</a>
</li>
<li>readFromXMLElement()
: <a class="el" href="classOpenSim_1_1AbstractProperty.html#affa9140e7f33c76fd39546c8899e2f05">OpenSim::AbstractProperty</a>
, <a class="el" href="classOpenSim_1_1Property__Deprecated.html#aad8a8b155593110e987e8cefd8311d71">OpenSim::Property_Deprecated</a>
</li>
<li>readFromXMLParentElement()
: <a class="el" href="classOpenSim_1_1AbstractProperty.html#ae2f988432f0ac82f5e4c787879c16b3e">OpenSim::AbstractProperty</a>
</li>
<li>ReadLine()
: <a class="el" href="classOpenSim_1_1IO.html#a9be6d264b89d6adfdb93946d5639dc98">OpenSim::IO</a>
</li>
<li>readObjectFromXMLNodeOrFile()
: <a class="el" href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">OpenSim::Object</a>
</li>
<li>ReadToTokenLine()
: <a class="el" href="classOpenSim_1_1IO.html#a5ff15379492ef8f8e9d50b9ce7842a08">OpenSim::IO</a>
</li>
<li>record()
: <a class="el" href="classOpenSim_1_1Actuation.html#a581b3f7edbd0604de9f65eef904da810">OpenSim::Actuation</a>
, <a class="el" href="classOpenSim_1_1BodyKinematics.html#a712cfe2d0184240e73aaa8ddd6122d83">OpenSim::BodyKinematics</a>
, <a class="el" href="classOpenSim_1_1ForceReporter.html#adce908aaff8dbcc2c729fc161f9434f4">OpenSim::ForceReporter</a>
, <a class="el" href="classOpenSim_1_1InducedAccelerations.html#af8d1016271b56b009a5bfce1c92c7654">OpenSim::InducedAccelerations</a>
, <a class="el" href="classOpenSim_1_1JointReaction.html#ae62d72d48ba1c06706cfda3b1176f7a1">OpenSim::JointReaction</a>
, <a class="el" href="classOpenSim_1_1MuscleAnalysis.html#a15e0ad2ff24351739c396231ce815225">OpenSim::MuscleAnalysis</a>
, <a class="el" href="classOpenSim_1_1PointKinematics.html#af9a1c5b310ed785a5413ecd9e3341a49">OpenSim::PointKinematics</a>
, <a class="el" href="classOpenSim_1_1ProbeReporter.html#a2afcc6195533910a9de0fe8e5ae378b1">OpenSim::ProbeReporter</a>
, <a class="el" href="classOpenSim_1_1StatesReporter.html#a3621f18213deddb46d9e67f203c695a7">OpenSim::StatesReporter</a>
, <a class="el" href="classOpenSim_1_1StaticOptimization.html#ac1e600505fc71a6a4fcb4f885250624e">OpenSim::StaticOptimization</a>
</li>
<li>recordErrorsAsLastErrors()
: <a class="el" href="classOpenSim_1_1CMC__TaskSet.html#aea637997f97b389d79001e4d54be06cf">OpenSim::CMC_TaskSet</a>
</li>
<li>ReduceNumberOfPoints()
: <a class="el" href="classOpenSim_1_1Signal.html#aadf06d9425167c84db667f9154381abb">OpenSim::Signal</a>
</li>
<li>Reference_()
: <a class="el" href="classOpenSim_1_1Reference__.html#ad286e8b20e55d2517852b7635e6446af">OpenSim::Reference_&lt; T &gt;</a>
</li>
<li>registerDataAdapter()
: <a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">OpenSim::DataAdapter</a>
</li>
<li>RegisteredDataAdapters
: <a class="el" href="classOpenSim_1_1DataAdapter.html#a4176166178df34d602b2e01bd7cd026d">OpenSim::DataAdapter</a>
</li>
<li>registerStorageCreator()
: <a class="el" href="classOpenSim_1_1StorageFactory.html#a22069d5a69b867fb4a99339e5a75c05d">OpenSim::StorageFactory</a>
</li>
<li>registerType()
: <a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">OpenSim::Object</a>
</li>
<li>RegisterType()
: <a class="el" href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">OpenSim::Object</a>
</li>
<li>registerTypes()
: <a class="el" href="classOpenSim_1_1GenericModelMaker.html#aefc086cd7c7432f1448ca87928565f69">OpenSim::GenericModelMaker</a>
, <a class="el" href="classOpenSim_1_1InverseDynamicsTool.html#a30c5fd3970df1d99bbdd919940e22fe4">OpenSim::InverseDynamicsTool</a>
, <a class="el" href="classOpenSim_1_1Measurement.html#a2fcc1156e24cf1dac24f7461c595e000">OpenSim::Measurement</a>
, <a class="el" href="classOpenSim_1_1ModelScaler.html#aeb18cb3e6f1f23ce21c31370d1587243">OpenSim::ModelScaler</a>
, <a class="el" href="classOpenSim_1_1ScaleTool.html#a797d3310143f24b7eb94c52e8d7704b5">OpenSim::ScaleTool</a>
</li>
<li>remove()
: <a class="el" href="classOpenSim_1_1Array.html#ae800e1737112b46456c730f5115046b7">OpenSim::Array&lt; T &gt;</a>
, <a class="el" href="classOpenSim_1_1FileRemover.html#a4939db97d3307326e6282495e2c40af0">OpenSim::FileRemover</a>
, <a class="el" href="classOpenSim_1_1ForceSet.html#ac430dbb088c7c64f9119a82feec7a5c3">OpenSim::ForceSet</a>
, <a class="el" href="classOpenSim_1_1ObjectGroup.html#a185f079e567b0c78c1d85b38b951bcca">OpenSim::ObjectGroup</a>
, <a class="el" href="classOpenSim_1_1PropertyGroup.html#ad19e63c39fd088082035ea6b0be4cb91">OpenSim::PropertyGroup</a>
, <a class="el" href="classOpenSim_1_1PropertySet.html#a54daba4cfe9c4f10107db674b41f5f11">OpenSim::PropertySet</a>
, <a class="el" href="classOpenSim_1_1Set.html#a2a403c4fee4095464d6e9d92aaa512c1">OpenSim::Set&lt; T, C &gt;</a>
</li>
<li>removeAnalysisSetFromModel()
: <a class="el" href="classOpenSim_1_1AbstractTool.html#af7a90ad9482372a5f314a86708496c66">OpenSim::AbstractTool</a>
</li>
<li>removeColumn()
: <a class="el" href="classOpenSim_1_1DataTable__.html#a2685e0f7d3ad33bb9d7ca399a7a51ac1">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>removeColumnAtIndex()
: <a class="el" href="classOpenSim_1_1DataTable__.html#aefa608a02f98e61b22f0c156c7048dc8">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>removeControllerSetFromModel()
: <a class="el" href="classOpenSim_1_1AbstractTool.html#ad3b2625d3bda90f3830c59899e46f82d">OpenSim::AbstractTool</a>
</li>
<li>removeDependentsMetaDataForKey()
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#a8fced9eb9488c0bee3b783f0a79fdf76">OpenSim::AbstractDataTable</a>
</li>
<li>removeExternalLoadsFromModel()
: <a class="el" href="classOpenSim_1_1AbstractTool.html#ad50a1349cb6a4c72a7886ce4184ea576">OpenSim::AbstractTool</a>
, <a class="el" href="classOpenSim_1_1DynamicsTool.html#a6e13481a34a92e20f3a77a491f195bdc">OpenSim::DynamicsTool</a>
</li>
<li>removeFileSink()
: <a class="el" href="classOpenSim_1_1Logger.html#acd269e7508f0a8d41002db2bd5e2758b">OpenSim::Logger</a>
</li>
<li>removeGroup()
: <a class="el" href="classOpenSim_1_1Set.html#aa55ad59a5acc97cf9f37b43d91be7328">OpenSim::Set&lt; T, C &gt;</a>
</li>
<li>removeMuscles()
: <a class="el" href="classOpenSim_1_1ModelFactory.html#ac55ff3c19d6eb99079668789b1dbb528">OpenSim::ModelFactory</a>
</li>
<li>removeRow()
: <a class="el" href="classOpenSim_1_1DataTable__.html#abc3e0c000a560e5277fb7d878a6ea0c2">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>removeRowAtIndex()
: <a class="el" href="classOpenSim_1_1DataTable__.html#a3d4b872ce074d3d35cca40e1f6e4e9cf">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
</li>
<li>removeSink()
: <a class="el" href="classOpenSim_1_1Logger.html#a4ed6dc7413d3bd5f1a1e61e54db4ffa8">OpenSim::Logger</a>
</li>
<li>RemoveSuffix()
: <a class="el" href="classOpenSim_1_1IO.html#a490a82bb54dda41b07181a02e7b1b0cd">OpenSim::IO</a>
</li>
<li>removeTableMetaDataKey()
: <a class="el" href="classOpenSim_1_1AbstractDataTable.html#a77f37751e31c4423d6569903bb966ef2">OpenSim::AbstractDataTable</a>
</li>
<li>removeValueArrayForKey()
: <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a3bc1010fb5e10fcf94a387293d5cb181">OpenSim::ValueArrayDictionary</a>
</li>
<li>removeValueForKey()
: <a class="el" href="classOpenSim_1_1ValueArrayDictionary.html#a27298d570627802d1257ec4f5f16b4bc">OpenSim::ValueArrayDictionary</a>
</li>
<li>renameChildNode()
: <a class="el" href="classOpenSim_1_1XMLDocument.html#ae69278614fa4e0fbb3f976f9bbb28966">OpenSim::XMLDocument</a>
</li>
<li>renameGroup()
: <a class="el" href="classOpenSim_1_1Set.html#ace1cff99c57f3c5f5b4001949b6e87f1">OpenSim::Set&lt; T, C &gt;</a>
</li>
<li>RenameType()
: <a class="el" href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">OpenSim::Object</a>
</li>
<li>renameType()
: <a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">OpenSim::Object</a>
</li>
<li>replace()
: <a class="el" href="classOpenSim_1_1ObjectGroup.html#ae1e8f5416675e8ee810ea632c7c8d7e3">OpenSim::ObjectGroup</a>
</li>
<li>replaceJointWithWeldJoint()
: <a class="el" href="classOpenSim_1_1ModelFactory.html#a6d92a8c0e51328284f66ff00e570cba6">OpenSim::ModelFactory</a>
</li>
<li>replaceMusclesWithPathActuators()
: <a class="el" href="classOpenSim_1_1ModelFactory.html#ac4a3dac72ca61261a05727c59b2e6fe4">OpenSim::ModelFactory</a>
</li>
<li>replaceSubstring()
: <a class="el" href="classOpenSim_1_1IO.html#a60f12953d9549783fdb1c2ec3edbbc2b">OpenSim::IO</a>
</li>
<li>resample()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#a05f7f26faf2a1cd27111edc4f3d31c0f">OpenSim::MocoTrajectory</a>
, <a class="el" href="classOpenSim_1_1Storage.html#a81d056002e802baf28e1cb8568defefc">OpenSim::Storage</a>
, <a class="el" href="classOpenSim_1_1TableUtilities.html#a77a7796781eb7669f278f51dd0cac639">OpenSim::TableUtilities</a>
</li>
<li>resampleLinear()
: <a class="el" href="classOpenSim_1_1Storage.html#a3f57533b6d9b409df7f2a63e7aa3a7e3">OpenSim::Storage</a>
</li>
<li>resampleWithFrequency()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#a659cdf7a7c2c0e2fe1328118f5c2d7a7">OpenSim::MocoTrajectory</a>
</li>
<li>resampleWithInterval()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#a1b0d580056bc4f40710a4589b3e920aa">OpenSim::MocoTrajectory</a>
, <a class="el" href="classOpenSim_1_1TableUtilities.html#a0f7642aa28e8b10ed1e565d0cadaf0a0">OpenSim::TableUtilities</a>
</li>
<li>resampleWithIntervalBounded()
: <a class="el" href="classOpenSim_1_1TableUtilities.html#add0d66363fbba3bc8a9845904a09f1d6">OpenSim::TableUtilities</a>
</li>
<li>resampleWithNumTimes()
: <a class="el" href="classOpenSim_1_1MocoTrajectory.html#a64edd16a0c603ee4dae7ee9e1a854168">OpenSim::MocoTrajectory</a>
</li>
<li>reset()
: <a class="el" href="classOpenSim_1_1Stopwatch.html#a975fa8dc91ee53bfaab50be296b05139">OpenSim::Stopwatch</a>
, <a class="el" href="classOpenSim_1_1Storage.html#ae10968cd44449a5a1c922e30b2bd7247">OpenSim::Storage</a>
</li>
<li>resetFunction()
: <a class="el" href="classOpenSim_1_1Function.html#ae85bdaf98f58238d92d2f0505d9ddf52">OpenSim::Function</a>
</li>
<li>resetProblem()
: <a class="el" href="classOpenSim_1_1MocoSolver.html#a4f72cf10bc1245f3c6b2fcf203b1b767">OpenSim::MocoSolver</a>
</li>
<li>resetTimeAndDTArrays()
: <a class="el" href="classOpenSim_1_1Manager.html#a6197c465c161b00c94672948a6d93858">OpenSim::Manager</a>
</li>
<li>restore()
: <a class="el" href="classOpenSim_1_1IO_1_1CwdChanger.html#a8d742fe1e2ffe7a0498c8a6bf358b6f3">OpenSim::IO::CwdChanger</a>
</li>
<li>restoreConfiguration()
: <a class="el" href="classOpenSim_1_1CMC.html#abaa259f0fe65fff37c6919b329fbb7fb">OpenSim::CMC</a>
</li>
<li>rfindIndex()
: <a class="el" href="classOpenSim_1_1Array.html#a5e89a83520345989520bce142262b9ab">OpenSim::Array&lt; T &gt;</a>
</li>
<li>RootSolver()
: <a class="el" href="classOpenSim_1_1RootSolver.html#adeb9f3a462df408de0efbc5c0feb74ed">OpenSim::RootSolver</a>
</li>
<li>rotateOrientationTable()
: <a class="el" href="classOpenSim_1_1OpenSenseUtilities.html#a5e2079c3743620d18b4f62e50fe083d0">OpenSim::OpenSenseUtilities</a>
</li>
<li>RowLengthMismatch()
: <a class="el" href="classOpenSim_1_1RowLengthMismatch.html#a223c42c8b14393e64f67d68496d3c98e">OpenSim::RowLengthMismatch</a>
</li>
<li>RowVector
: <a class="el" href="classOpenSim_1_1DataTable__.html#a4010676beab61858bcc4977bc596a1d0">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
, <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a8e61dc7a52efdbd2c2e5b892e9c68276">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>RowVectorView
: <a class="el" href="classOpenSim_1_1DataTable__.html#a9fbf4475d85a4b5352300a75ace1e6e4">OpenSim::DataTable_&lt; ETX, ETY &gt;</a>
, <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html#a942401d24229c0f60415ac2f5321523d">OpenSim::TimeSeriesTable_&lt; ETY &gt;</a>
</li>
<li>RRATool()
: <a class="el" href="classOpenSim_1_1RRATool.html#a090555b930093819b712d1ab9895de61">OpenSim::RRATool</a>
</li>
<li>run()
: <a class="el" href="classOpenSim_1_1AbstractTool.html#a3a735ff214a431ee6add01e19bb1cdcd">OpenSim::AbstractTool</a>
, <a class="el" href="classOpenSim_1_1AnalyzeTool.html#a45e707de29780990bbd31dba2a005ae9">OpenSim::AnalyzeTool</a>
, <a class="el" href="classOpenSim_1_1CMCTool.html#a91bf17b03b5c2d15480a21c21ad5ba49">OpenSim::CMCTool</a>
, <a class="el" href="classOpenSim_1_1DynamicsTool.html#a170e3f67679bb80a39cfd34bd0c74a54">OpenSim::DynamicsTool</a>
, <a class="el" href="classOpenSim_1_1ForwardTool.html#a602c2500c64f30084cc5da133e6c0eb6">OpenSim::ForwardTool</a>
, <a class="el" href="classOpenSim_1_1InverseDynamicsTool.html#adf46c8b53d87828a490b6d2c7f2cfbb8">OpenSim::InverseDynamicsTool</a>
, <a class="el" href="classOpenSim_1_1RRATool.html#a05f0a04a59670cf306ee1df2cfff0446">OpenSim::RRATool</a>
, <a class="el" href="classOpenSim_1_1ScaleTool.html#ac48a4434e5546398a8e5b54da951b924">OpenSim::ScaleTool</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:52 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
